Skip to main content

Auvious Auth Server API v2.1.11

Auvious Auth Server provides the core security related services.

info

You are viewing REST API documentation. This documentation is auto-generated from a swagger specification which itself is generated from annotations in the source code of the project. It is possible that this documentation includes bugs and that code samples are incomplete or wrong.

Authentication​

  • HTTP Authentication, scheme: bearer
  • OAuth 2.0 Authorization.
    • Flow: clientCredentials

    • OAuth 2.0 Token URL = /oauth/token

    • OAuth 2.0 Scope

      ScopeScope Description

Clients​

Update a client​

PUT https://auvious.video/api/clients/{clientId} HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json

Use this to update description and/or roles of a new client

Request body​

{
"description": "string",
"roles": [
"string"
]
}

Parameters​

ParameterInTypeRequiredDescription
clientIdpathClientIdtruenone
bodybodyUpdateClientWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKClientResponseValue
Examples​

200 Response

{
"clientId": "string",
"clientSecret": "string",
"description": "string",
"roles": [
"string"
]
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X PUT https://auvious.video/api/clients/{clientId} \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Delete client of user organization​

DELETE https://auvious.video/api/clients/{clientId} HTTP/1.1
Host: auvious.video

Use this to delete a client for your organization

Parameters​

ParameterInTypeRequiredDescription
clientIdpathClientIdtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X DELETE https://auvious.video/api/clients/{clientId} \
-H 'Authorization: Bearer {access-token}'

Rotate client secret​

POST https://auvious.video/api/clients/{clientId}/rotate HTTP/1.1
Host: auvious.video
Accept: application/json

Use this to create new secret for client - USE WITH CAUTION

Parameters​

ParameterInTypeRequiredDescription
clientIdpathClientIdtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKClientResponseValue
Examples​

200 Response

{
"clientId": "string",
"clientSecret": "string",
"description": "string",
"roles": [
"string"
]
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/api/clients/{clientId}/rotate \
-H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

List clients of user organization​

GET https://auvious.video/api/clients HTTP/1.1
Host: auvious.video
Accept: application/json

Use this to retrieve all clients for your organization

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKInline
Response Schema​

Status Code 200

NameTypeRequiredRestrictionsDescription
anonymous[ClientResponseValue]falsenonenone
» clientIdstringfalsenonenone
» clientSecretstringfalsenonenone
» descriptionstringfalsenonenone
» roles[string]falsenonenone
Examples​

200 Response

[
{
"clientId": "string",
"clientSecret": "string",
"description": "string",
"roles": [
"string"
]
}
]
caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/api/clients \
-H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Create a client​

POST https://auvious.video/api/clients HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json

Use this to create a new client

Request body​

{
"description": "string",
"roles": [
"string"
]
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyCreateClientWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKClientResponseValue
Examples​

200 Response

{
"clientId": "string",
"clientSecret": "string",
"description": "string",
"roles": [
"string"
]
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/api/clients \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Schemas​

UpdateClientWebCommand​

{
"description": "string",
"roles": [
"string"
]
}

Properties​

NameTypeRequiredRestrictionsDescription
descriptionstringfalsenonenew client description text (Optional - if not provided old one will remain).
roles[string]falsenonenew client roles (Optional - if not provided old ones will remain). Valid values are: ClientService, Agent, Supervisor, Admin

ClientId​

{
"id": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone

ClientResponseValue​

{
"clientId": "string",
"clientSecret": "string",
"description": "string",
"roles": [
"string"
]
}

Properties​

NameTypeRequiredRestrictionsDescription
clientIdstringfalsenonenone
clientSecretstringfalsenonenone
descriptionstringfalsenonenone
roles[string]falsenonenone

CreateClientWebCommand​

{
"description": "string",
"roles": [
"string"
]
}

Properties​

NameTypeRequiredRestrictionsDescription
descriptionstringfalsenoneclient description text
roles[string]falsenoneclient roles (Optional). Valid values are: ClientService, Agent, Supervisor, Admin